axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "keith chapman" <keithgchap...@gmail.com>
Subject Re: Generate service that exclusively supports soap1.1 requests
Date Tue, 02 Oct 2007 09:41:01 GMT
AFAIK Axis2 will not throw if the request is SOAP 1.2 and your WSDL
advertises a SOAP 1.1 Binding. Axis2 by default support SOAP 1.1,
SOAP1.2and HTTP Request and it response according to your request.
Though your WSDL
advertises SOAP 1.1 if Axis2 receives a SOAP 1.2 request it will respond
using SOAP 1.2 (Not a fault response).

Thanks,
Keith.

On 9/27/07, Erwin Reinhoud <Erwin.Reinhoud@ictu.nl> wrote:
>
>
> Hello All,
>
> I am wondering if it would be possible to have a service that exclusively
> supports soap1.1 requests. A SOAPfault is given if it is a soap1.2request. In earlier
versions of axis2 there were always 2 bindings (
> soap1.1 and soap1.2) in the generated wsdl, now you can use your own WSDL,
> so i thought that if i only have the soap1.1 binding than all soap1.2requests would get
a soapfault.
>
> Anybody any ideas?
>
> Thanks in advance.
>
> Kind regards,
> Erwin
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: axis-user-unsubscribe@ws.apache.org
> For additional commands, e-mail: axis-user-help@ws.apache.org
>
>


-- 
Keith Chapman
WSO2 Inc.
Oxygen for Web Services Developers.
http://wso2.org/

Mime
View raw message